• InterCLASS Support

What OS Versions are Needed to Run the InterCLASS Cloud Teacher Program?

Updated: Oct 9, 2019

Currently, you will be able to use InterCLASS Cloud on the following OS versions:

For PC users, you can use the latest Chrome browser on Windows 7, 8 and 10. For Mac users, you can use the latest Chrome browser on OS X.


#Chromebooks_Tips #InterCLASSCloudTips

14 views0 comments

Recent Posts

See All